当前位置: 主页 > 软件快讯 > Android >

由于谷歌的新开发工具 Android用户现在面临强制应用程序更新

时间:2018-12-04 14:49来源:五速科讯 作者:eleven 点击:
谷歌Android开发人员给一个新的应用程序编程接口(API),让他们迫使用户更新到最新版本的应用程序。本周谷歌Android开发

谷歌Android开发人员给一个新的应用程序编程接口(API),让他们迫使用户更新到最新版本的应用程序。本周谷歌Android开发者峰会上透露,开发人员将能够立即使用新的API来创建应用程序更新或灵活的应用程序更新过程,这力量或推动用户更新应用程序。

由于谷歌的新开发工具 Android用户现在面临强制应用程序更新

开发人员可以选择哪种方法更适合,取决于是多么紧迫,用户应该更新。

例如,开发人员可以使用的直接过程关键的安全更新。用户打开应用程序后,启动一个全屏提示更新,防止用户使用应用程序,直到它已更新。

灵活更新允许用户继续使用应用程序在更新下载。

API应该帮助开发者解决严重的问题如果他们推出一个应用程序的主要缺陷。然而,它还能够为开发人员提供一种简单的方法可以用户最新版本的应用程序如果他们建立了很多新特性,希望所有用户都可以访问它们。

谷歌还提供了一些芬兰湾的科特林更新,根据GitHub,是增长最快的语言的贡献者。本月超过118000个新项目在Android工作室使用芬兰湾的科特林开始,标志着去年增加了10倍,根据谷歌。

谷歌昨日还揭示了Android支持不同类型的“折叠”。它将支持两大类:可折叠设备像三星的无穷弯曲装置,折叠后只有一个屏幕,和设备如新FlexPai折叠时两个屏幕。Android将提供开发人员“屏幕连续性”,因此当用户启动一个视频在小屏幕上,无缝地转移到大屏幕的展开。

郑重声明:本文版权归原作者所有,转载文章仅为传播更多信息之目的,,如有侵权行为,请第一时间联系我们修改或删除,多谢。

(责任编辑:5速科讯)
顶一下
(0)
0%
踩一下
(0)
0%
------分隔线----------------------------
  • 智能
  • 热点
  • 数码
  • 科技
  • VR
  • 软件
  • 资讯
  • 硬件
  • Geek
栏目列表
推荐内容